# hey Emacs, its -*- rpm-spec -*-
# $Id: php,v 1.21 2002/03/27 16:58:50 ab Exp $

#set_verify_elf_method skip
#set_automake_version 1.5
#set_autoconf_version 2.13

%define php_sapi       cli
%define conflictver    4.3.2-alt0.cvs20030405

#define php_name php-%php_version-%php_release

%def_disable static
%def_disable debug

Summary: The PHP4 scripting language
Summary(fr):	Le langage de script PHP4
Summary(ru_RU.CP1251):	  PHP4
Name: php
Version: %php_version
Release: %php_release
License: PHP
Group: Development/Other
Serial: 1

Source0: php-source.tar
Source1: php.ini.cli.alt
Source2: php.rpm.macros
Source3: php-control.tar
Source6: php-packaging.readme

Patch1: php-version.patch
Patch2: php-4.4.3-cli-build.patch
Patch3: php-shared-1.patch
Patch4: php-remove-sendmail.patch
Patch5: php-4.0.0-init.patch
Patch6: php-test-pcntl.patch
Patch9: php-sapi-scandir-2.patch

# SAPI patch
Patch11: php-4.3.12-sapi-cli.patch

Patch12: php-devel-scripts-alternatives.patch
Patch13: php-4.3.11-dlopen.patch

# http://www.zend.com/zend/spotlight/error.php#Heading19
Patch14: php-4.3.10-alt-division-by-zero.patch

# http://www.hardened-php.net/suhosin/
Patch30: suhosin-patch-%version-0.9.6.patch

# MDK patches
Patch40: php-4.3.4RC3-64bit.patch
Patch41: php-4.4.7-lib64.patch
Patch42: php-4.3.0-mail.patch
Patch43: php-4.3.10-umask.patch
Patch44: php-4.3.11-php-db-shared.patch
Patch45: php-4.3.2-libtool15.patch
Patch46: php-4.3.3-make_those_darn_tests_work.patch
Patch47: php-4.4.0-getacl-backport.patch
Patch49: php-4.4.0-imap-status-current.patch
Patch50: php-4.4.0RC2-run-tests.patch
Patch51: php-wddx-fix.patch

Patch60: php-4.4.3-alt-autoconf-2.5-fix.patch
Patch61: php-4.4.6-alt-undefined-symbol-fix.patch
Patch62: php-4.4.4-memory-limit-on.patch
Patch63: php-4.4.6-alt-remove-hardcoded-ini.patch

Patch100: php-4.4.8-CVE-2008-3658.patch
Patch101: php-4.4.8-CVE-2008-3660.patch
Patch102: php-4.4.8-CVE-2008-5498.patch
Patch103: php-4.4.8-CVE-2008-5557.patch
Patch104: php-4.4.8-debian-CVE-2009-0754.patch

Requires:  php-libs >= %php_version-%php_release
Requires:  control
Requires(post):  php-suhosin
Obsoletes: php3
Conflicts: php-common < %conflictver

Provides: php-engine = %php_version-%php_release

BuildRequires(pre): rpm-build-php

# Automatically added by buildreq on Fri Oct 28 2005 (-bi)
BuildRequires: alternatives chrpath flex libexpat-devel libmm-devel libpcre-devel 
BuildRequires: termutils zlib-devel

%description
PHP4 is an HTML-embeddable scripting language.  PHP offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP is fairly simple.  The
most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the base PHP files, and a standalone (CGI) version of
php. If you need apache support, you need to install mod_php

%description -l ru_RU.CP1251
PHP4 --   ,   HTML. PHP  
     , 
  ,   .   
 PHP    CGI-.

     PHP   (CGI)  
PHP,         CGI.   
 PHP   - Apache,   
  mod_php.

%package devel
Group: Development/C
Summary: Development package for PHP4
Summary(ru_RU.CP1251):	    PHP4
Requires: php-libs = %version-%release
Requires: rpm-build-php = %php_version
Requires: libtool, autoconf, automake, tar, gzip, coreutils, zlib-devel
Conflicts: php-common < %conflictver
Provides: php-engine-devel = %version-%release
AutoReqProv: no

%description devel
The php-devel package lets you compile dynamic extensions to PHP4. Included
here is the source for the php extensions. Instead of recompiling the whole
php binary to add support for, say, oracle, install this package and use the
new self-contained extensions support. For more information, read the file
SELF-CONTAINED-EXTENSIONS.

%package libs
Group: Development/C
Summary: Package with common data for various PHP4 packages
Requires: php-base

Obsoletes: php-iconv php-xml php-common > %conflictver
Provides:  php-iconv php-xml php-common > %conflictver
Conflicts: php-common < %conflictver

%description libs
The php-libs package contains parts of PHP4 distribution which are in use
by other PHP4-related packages.

%prep
%setup -q -n php-source
%setup -q -n php-source -T -D -a3

%__mv -f ext/pcre/config0.m4 ext/pcre/config.m4 

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch9 -p2 -b .scandir
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch30 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p0
%patch44 -p0
%patch45 -p1
%patch46 -p0
%patch47 -p1
%patch49 -p1
%patch50 -p0
%patch51 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1

%patch100 -p1
%patch101 -p4
%patch102 -p4
%patch103 -p3
%patch104 -p1

%__cp Zend/LICENSE Zend/ZEND_LICENSE
%__cp Zend/ChangeLog Zend/ZEND_ChangeLog 
%__mv README.SELF-CONTAINED-EXTENSIONS SELF-CONTAINED-EXTENSIONS

%__cp -dpR %SOURCE6 .

%build
%add_optflags %optflags_shared

LIBS="$LIBS -lpthread"
CFLAGS="%optflags -O3"
export LIBS CFLAGS

%__autoreconf -I build
./buildconf --force

%php_env
%configure \
	--prefix=%_prefix \
	--enable-inline-optimization \
	--with-pic \
	\
	--enable-cli \
	--disable-cgi \
	\
	%{subst_enable debug} \
	--enable-safe-mode \
	--disable-magic-quotes \
	--disable-rpath \
	\
	--enable-bcmath \
	--enable-calendar \
	--enable-ctype \
	--enable-ftp \
	--enable-session \
	--enable-shmop \
	--enable-sysvsem \
	--enable-sysvshm \
	--enable-xml \
	--enable-wddx \
	\
	--enable-memory-limit \
	\
%if_enabled static
	--enable-shared=no \
	--enable-static=yes \
%else
	--enable-shared=yes \
	--enable-static=no \
%endif
	\
	--with-layout=GNU \
	--with-zlib=%_usr \
	--with-exec-dir=%_bindir \
	--with-regex=php \
	--with-mm \
	--with-gettext \
	--with-iconv \
	--without-mysql \
	--with-pcre-regex=%_usr \
	--with-expat-dir=%_usr \
	--without-pear 

%php_make

%install
%php_make_install

# All things already installed, install differences only
%__mkdir_p \
	%buildroot/%php_libdir/extensions \
	%buildroot/%_bindir \
	%buildroot/%php_sysconfdir/%php_sapi/php.d \
	%buildroot/%php_sysconfdir/%php_sapi/control.d/ \
	%buildroot/%php_extconf \
	%buildroot/%php_servicedir/%php_sapi \
	%buildroot/%_datadir/php/%_php_version/modules \
	%buildroot/%_sysconfdir/control.d/facilities 

%__install -m 644 %SOURCE1                    %buildroot/%php_sysconfdir/%php_sapi/php.ini
%__install -m 644 php-control/php.example     %buildroot/%php_sysconfdir/%php_sapi/control.d/php.example
%__install -m 755 php-control/php.cli.control %buildroot/%_sysconfdir/control.d/facilities/php-%php_sapi

for f in \
  %buildroot/%php_sysconfdir/%php_sapi/php.ini \
  %buildroot/%_sysconfdir/control.d/facilities/php-%php_sapi
do
  %__subst 's,@PHP_VERSION@,%_php_version,g' "$f"
  %__subst 's,@PHP_LIBDIR@,%_libdir/php,g' "$f"
  %__subst 's,@SAPI@,%php_sapi,g' "$f"
done

[ -f "%buildroot/%_bindir/phpextdist" ] || 
    %__cp -dpR scripts/dev/phpextdist %buildroot/%_bindir/

%__chmod 755 %buildroot/%_bindir/*

# This file is not needed by any program.
%__rm -f %buildroot/%_libdir/libphp-%_php_version.la

# Remove RPATH
chrpath --delete %buildroot/%_bindir/php-%_php_version

# Make alternatives support.
%__install -d %buildroot/%_altdir
php_weight="$(printf %%s "%php_version" | sed 's,[^[:digit:]],,g')"

cat << EOF > %buildroot/%_altdir/php4
%_bindir/php	%_bindir/php-%_php_version	$php_weight
%_man1dir/php.1	%_man1dir/php-%_php_version.1	$php_weight
EOF

# Make backup some files to make devel package.
%make clean

find scripts/apache -type f | xargs chmod 644
%__mkdir_p sapi/apache/apache/
%__cp -dpR scripts/apache/* sapi/apache/apache/

%__mkdir_p %buildroot%prefix/src/php-devel/ext %buildroot%prefix/src/php-devel/sapi
%__cp -dpR ext/* %buildroot%prefix/src/php-devel/ext
%__cp -dpR sapi/* %buildroot%prefix/src/php-devel/sapi

# Add necessary files to build any sapi packages.
%__mkdir_p %buildroot%prefix/src/php-devel/sapi/BUILD
%__cp -dpR main/internal_functions.c %buildroot%prefix/src/php-devel/sapi/BUILD
%__cp -dpR include                   %buildroot%prefix/src/php-devel/sapi/BUILD

%triggerpostun -n php -- php < 1:4.3.12-alt0.cvs20050530
if ! grep -qs "\<alt_sapi_config_ini_scan_dir\>" "%php_sysconfdir/%php_sapi/php.ini"; then
    printf '\n%%s\n' 'alt_sapi_config_ini_scan_dir = "/etc/php/%_php_version/cli/php.d"' >> "%php_sysconfdir/%php_sapi/php.ini"
fi

%triggerpostun -n php -- php < 1:4.4.2-alt0.cvs20051121
if grep -qs "\<error_log_facility\>" "%php_sysconfdir/%php_sapi/php.ini"; then
	%__subst 's|^[[:space:]]*\<error_log_facility\>.*|; &|g' "%php_sysconfdir/%php_sapi/php.ini"
	%__subst 's|\<error_log_facility\>.*|& ;;; deprecated|g' "%php_sysconfdir/%php_sapi/php.ini"
	printf '\nWARNING: error_log_facility directive is deprecated. Use hphp.log.syslog.facility instead.\n\n'
fi

%pre
if [ -f "%_altdir/php-4.3.9.xml" ]; then 
    %unregister_alternatives_always php-4.3.9.xml
fi

%post
%php_sapi_postin
%register_alternatives php4

%preun
%php_sapi_preun
%unregister_alternatives php4

%files
%_altdir/php4
%_bindir/php-%_php_version
%_sysconfdir/control.d/facilities/php-%php_sapi
%config(noreplace) %php_sysconfdir/%php_sapi/php.ini
%dir %php_sysconfdir/%php_sapi
%dir %php_sysconfdir/%php_sapi/php.d
%dir %php_sysconfdir/%php_sapi/control.d
%php_sysconfdir/%php_sapi/control.d/*
%_man1dir/php-%_php_version.1*
%doc CREDITS NEWS LICENSE Zend/ZEND_LICENSE php.ini-*

%files libs
%dir %_sysconfdir/php/%_php_version
%dir %_libdir/php/%_php_version
%dir %_libdir/php/%_php_version/extensions
%dir %_datadir/php/%_php_version/modules
%_datadir/php/%_php_version
%_libdir/libphp-%_php_version.so

%files devel
%_bindir/php-config
%_bindir/phpize
%_bindir/phpextdist
%dir %_includedir/php
%_includedir/php/*
%dir %php_libdir/build
%php_libdir/build/*
%dir %_usrsrc/php-devel
%dir %_usrsrc/php-devel/ext
%dir %_usrsrc/php-devel/sapi
%_usrsrc/php-devel/ext/*
%_usrsrc/php-devel/sapi/*
%_man1dir/php-config.1*
%_man1dir/phpize.1*
%doc CODING_STANDARDS SELF-CONTAINED-EXTENSIONS EXTENSIONS TODO php-packaging.readme
%doc README.* Zend/ZEND_CHANGES Zend/ZEND_ChangeLog
%doc tests run-tests.php 

%changelog
* Fri Mar 18 2011 Timur Aitov <timonbl4@altlinux.org> 1:4.4.8-alt1.M41.1
- Fixed:
   + CVE-2008-3658
   + CVE-2008-3660
   + CVE-2008-5498
   + CVE-2008-5557
   + CVE-2009-0754

* Sat Jan 05 2008 L.A. Kostis <lakostis@altlinux.ru> 1:4.4.8-alt1
- New version (4.4.8):
   + Improved fix for MOPB-02-2007.
   + Fixed an integer overflow inside chunk_split(). Identified by Gerhard Wagner.
   + Fixed integer overlow in str[c]spn().
   + Fixed regression in glob when open_basedir is on introduced by #41655 fix.
   + Fixed money_format() not to accept multiple %i or %n tokens.
   + Addded "max_input_nesting_level" php.ini option to limit nesting level of input variables. Fix for MOPB-03-2007.
   + Fixed INFILE LOCAL option handling with MySQL - now not allowed when open_basedir or safe_mode is active.
   + Fixed session.save_path and error_log values to be checked against open_basedir and safe_mode (CVE-2007-3378).
   + Fixed bug #43010 (Fixed regression in imagearc with two equivelent angles).
   + Fixed bug #41765 (Recode crashes/does not work on amd64).
   + Fixed bug #41630 (segfault when an invalid color index is present in the image data).
   + Fixed bug #41628 (PHP settings leak between Virtual Hosts in Apache 1.3).
   + Fixed bug #38798 (OpenSSL init corrected in php5 but not in php4).
- Update suhosin patch.
- Update -alt-sapi-scandir-2 patch.

* Sun May 13 2007 L.A. Kostis <lakostis@altlinux.ru> 1:4.4.7-alt1
- New version (4.4.7):
   + Fixed CVE-2007-1001, GD wbmp used with invalid image size (by Ivan Fratric)
   + Fixed asciiz byte truncation inside mail() (MOPB-33 by Stefan Esser)
   + Fixed a bug in mb_parse_str() that can be used to activate register_globals
     (MOPB-26 by Stefan Esser)
   + Fixed unallocated memory access/double free in in array_user_key_compare()
     (MOPB-24 by Stefan Esser)
   + Fixed a double free inside session_regenerate_id() (MOPB-22 by Stefan Esser)
   + Added missing open_basedir & safe_mode checks to zip:// and bzip:// wrappers.
     (MOPB-21 by Stefan Esser).
   + Limit nesting level of input variables with max_input_nesting_level as fix
     for (MOPB-03 by Stefan Esser)
   + XSS in phpinfo() (MOPB-8 by Stefan Esser)
   + Fixed CRLF injection inside ftp_putcmd(). (by loveshell[at]Bug.Center.Team)
   + Fixed a possible super-global overwrite inside import_request_variables().
     (by Stefano Di Paola, Stefan Esser)
   + Fixed a remotely trigger-able buffer overflow inside bundled libxmlrpc
     library. (by Stanislav Malyshev)
- Fix requires for suhosin module.
- Update suhosin patch.
- Update -lib64 patch (remove ircg ext).

* Mon Apr 09 2007 L.A. Kostis <lakostis@altlinux.ru> 1:4.4.6-alt2
- new release due libmm soname change.
- remove obsoleted hphp options from php.ini.cli.alt.
- turn off expose_php.
- add debug switch.
- fix static switch.

* Sun Mar 25 2007 L.A. Kostis <lakostis@altlinux.ru> 1:4.4.6-alt1.debug
- debug build.

* Sun Mar 04 2007 L.A. Kostis <lakostis@altlinux.ru> 1:4.4.6-alt1
- New version (4.4.6):
  + Updated PCRE to version 7.0.
  + Fixed segfault in ext/session when register_globals=On.
  + Fixed bug #40635 (segfault in cURL extension).
  + Fixed bug #40611 (possible cURL memory error).
  + Fixed bug #40578 (imagettftext() multithreading issue).
  + Fixed bug #40502 (ext/interbase compile failure).
  + Fixed bug #40286 (PHP fastcgi with PHP_FCGI_CHILDREN don't kill children when
    parent is killed).
- For 4.4.5 fixes see NEWS.
- Use suhosin patch instead hardened-php.
- Remove hardcoded ini options from -cli (backport 5.x patch from legion@).
- Use php-cli control facility instead php4-cli.

* Mon Sep 25 2006 Alexey Gladkov <legion@altlinux.ru> 1:4.4.4-alt2
- Add memory limit by default.
- Fix php.ini.
- Fix default include_path.

* Tue Aug 22 2006 Alexey Gladkov <legion@altlinux.ru> 1:4.4.4-alt1
- New version (4.4.4).
- This release provides the following security fixes:
  + Added missing safe_mode/open_basedir checks inside the error_log(), 
    file_exists(), imap_open() and imap_reopen() functions.
  + Fixed overflows inside str_repeat() and wordwrap() functions on 64bit systems.
  + Fixed possible open_basedir/safe_mode bypass in cURL extension.
  + Fixed overflow in GD extension on invalid GIF images.
  + Fixed a buffer overflow inside sscanf() function.
  + Fixed memory_limit restriction on 64 bit system.

* Mon Jun 26 2006 Alexey Gladkov <legion@altlinux.ru> 1:4.4.3.cvs20060626-alt1
- new version;
- updated www.hardened-php.net patch;

* Fri Jan 27 2006 Alexey Gladkov <legion@altlinux.ru> 1:4.4.3.cvs20060127-alt1
- new version.
- new build scheme.

* Fri Nov 25 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.4.2-alt0.cvs20051121.1
- control bugfix (altbug: #8557).
- control-{dump,restore} added.

* Tue Nov 22 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.4.2-alt0.cvs20051121
- new cvs snapshot.
- build for x86_64 added.
- www.hardened-php.net patch added.
- imap extension fix (patch47, patch48 patch49).
- error_log_facility directive is deprecated.

* Mon Oct 10 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.4.1-alt0.cvs20051010
- new cvs snapshot.
- control(8) module security bugfix.
- new control(8) module work scheme.
- /etc/rpm/macros.d/php bugfix for the new rpm-4.0.4-alt49 .
- spec cleanup.

* Mon Aug 01 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.4.1-alt0.cvs20050729
- new cvs snapshot.
- build without --enable-yp, --with-dbase, --with-filepro.
- Spec changes:
  * Provides at "php-engine" was added.
- rpm macros changes:
  * %%php_libdir/pear moved to %%php_datadir/pear;
  * macros %%php_moddir and %%php_vermoddir was added.
- default configuration (php.ini) updated:
  * directores %%php_moddir and %%php_vermoddir was added 
    to include_path directive.
- control configuration updated.
- post/preun scripts code cleanup.

* Mon May 30 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.12-alt0.cvs20050530
- new cvs snapshot;
- patch15 bugfix;
- new directive added:
  * alt_sapi_config_ini_scan_dir - directory to be scanned for configuration 
    files (default: /etc/php/PHP_VERSION/SAPI/php.d);
- trigger was added for new directive;
- control facilities changed for new directive;

* Fri May 27 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.12-alt0.cvs20050527
- New cvs snapshot;
- phpextdist removed;
- control facilities fix;

* Wed Apr 06 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.12-alt0.cvs20050406
- New cvs snapshot;
- The default configuration is fixed;
- The patch #15 is changed;

* Wed Mar 30 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.12-alt0.cvs20050404
- New cvs snapshot;
- spec cleanup;
- control support added;
- default configuration changed;
- patch #14 added (bug #6348) thx algor@;
- patch #15 added (bug #6359) thx algor@;

* Wed Feb 09 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.11-alt0.cvs20050209
- New cvs snapshot;
- update some patches;

* Mon Dec 20 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.11-alt0.cvs20041217
- new version;
- change --with-regex from 'system' to 'php'. It need to build apache* SAPIs;

* Tue Jul 20 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.9-alt0.cvs20040802
- New cvs snapshot;
- security fixes;

* Wed Jun 09 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.7-alt0.cvs20040531.1
- New cvs snapshot;

* Mon May 31 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.7-alt0.cvs20040531
- New cvs snapshot;
- Environment variable PHPRC overriding is removed.

* Fri May 21 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.7-alt0.cvs20040519
- New cvs snapshot;
- From php-common was removed all librares to new package php-libs;
- php-common was renamed to php-base;
- Alternatives support added;
- Default php.ini changed:
    + alternatives support added;
    + variable default_charset='koi8-r' added;
    + variable define_syslog_variables=On added;
- php-pear was removed to standalone package.

* Fri Jan 30 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20040130
- New cvs snapshot.
- Shared Memory support added (enable-shmop).

* Tue Jan 06 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20040106
- postin/preun script bugfix.

* Mon Dec 22 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20031211
- New cvs snapshot php4.3.5 CVS-20031211
- build scheme fix:
  - postin bugfix (#3324).
- *.la files removed.

* Wed Nov 12 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20031112
- New cvs snapshot php4.3.5 CVS-20031112
- minor build scheme fix:
  + macro php_optflags added.
  + sapi build environment changed.
- dlopen patch added. Don't open extension modules with RTLD_LAZY: better to 
  fail obviously at load-time rather than obscurely at run-time if they have 
  undefined symbols.

* Sat Nov 01 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20031101
- New cvs snapshot.
- Simple spec cleanup.
- Package php-xml is obsolete. XML support is builtin libphp4common.
- Compile with memory limit support.

* Fri Oct 17 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20031017
- New CVS snapshot.
- New scheme loading extensions. From now all extensions in 
  the /etc/<SAPI>/php.d/*.ini (Fixed #2940). This scheme fixed #2532.
  For more information please read documentation.
- New scheme creating/installing SAPI.
  + each SAPI may have own config file;
  + each SAPI may have own extensions kit.
- spec changes.

* Wed Sep 03 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20030903
- remove rpath from %_bindir/php %_libdir/apache/libphp4.so 

* Sat Aug 30 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20030830
- fresh cvs snapshot.

* Thu Jul 03 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.3-alt0.cvs20030708
- New CVS build.
- Bugfixes.
- php-gd2 was compiled with own libgd.
- php-gd1 is unsupported.

* Sat Apr 05 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.2-alt0.cvs20030405
- new CVS build
- SPEC file modification
- PEAR extracted to its own package 'php-pear'

* Sat Mar 01 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.1-alt0.cvs20030301
- new version PHP 4.3.1 CVS-20030301

* Mon Feb 03 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.0-alt0.cvs20030207
- PHP 4.3.0-dev CVS-20030207
- Bugfixes

* Mon Nov 04 2002 Alexey Gladkov <legion@altlinux.ru> 1:4.2.3-alt4.2
- Sendmail detection removed

* Tue Oct 29 2002 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 1:4.2.3-alt4.1
- updated BuildPreReq

* Sat Oct 26 2002 Alexey Gladkov <legion@altlinux.ru> 1:4.2.3-alt4
- PHP 4.2.3
- build with gcc 3.2
- SPEC file small modification

* Wed Mar 27 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt3
- Fixed:
    + sendmail detection in BTE forced to be unconditional (closes #0000751)

* Fri Mar 15 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt2
- Added:
    + Security audit patch from phpaudit.42-networks.com, 
      fixes multiple (theoretical) buffer overflows
    + additional patches for phpaudit (me)
- Updated:
    + Version number to reflect ALT changes
    + mod_php4.conf (AddHandler)

* Wed Feb 27 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt1
- 4.1.2
- Changed:
    + core is shared between SAPI modules (libphp4common.la)
    + documentation moved to php-manual external package to
      ease updates and multi-target builds (html, PDF, RTF)
    + files distribution across packages slightly modified to
      refine dependencies
    + modified post install scripts to follow documentation move


* Thu Sep 27 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt1
- PHP 4.0.6
- Bugfixes
- Rebuild against DB 3.3

* Tue Jun 05 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.3RC2
- Release Candidate 2 for PHP 4.0.6
- Curl extension rolled back to RC1 due postponed autoconf 2.50 integration
- Blowfish crypto support fixed

* Mon May 28 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.2RC1
- Fixed build environment in curl, imap, informix, ming, mysql,
  xslt, and other extensions.

* Tue May 22 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.1RC1
- major mod_php4 fixes
- GD fixed (see NEWS / ChangeLog for more)
- HAVE_CONFIG_H define fixed (suitable for SCE compiling)

* Fri May 11 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.RC1
- Release Candidate 1 for PHP 4.0.6

* Tue May 08 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-alt1
- Release of PHP 4.0.5

* Tue Apr 05 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC6-alt1
- 6th release candidate for 4.0.5
- Fixed:
    + point to directory itself in PEAR to be graceful at uninstall phase

* Sun Mar 18 2001 Rider <rider@altlinux.ru> 4.0.5.RC1-ipl7mdk
- added patch from current PHP cvs. Fixed:
    Recode delayed loading in a much simpler way (switched back to php_ini.c 1.49)
    fixed a (C++) warning about implicit conversion from void*
    Fix the output buffering bug Andre found

* Fri Mar 16 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl6mdk
- Dynamic loader bug finally fixed
- Automatic configuration for apache version-release scheme

* Fri Mar 16 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl5mdk
- Fixed bug in Zend language parser

* Wed Mar 14 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl4mdk
- Various fixes in mysql and midgard modules from CVS applied

* Wed Mar 14 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl3mdk
- Fixed:
    + mod_php4.c tends to be crashed with incorrect php.ini entries
    + mod_php4 built without libphp_common.so to solve problems
      with unresolved symbols from foreign libraries like zlib.
      This is temporary wasteful step but it works.

* Tue Mar 13 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl2mdk
- PCRE module fixed
- Using PHP_4_0_5 branch from CVS

* Sun Mar 11 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl1mdk
- Release candidate 1 for PHP 4.0.5

* Sat Mar 10 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.200103091308mdk
- Ctype and Wddx modules are compiled in
- SPEC file cleaned up
- Build process for CGI and Apache version unified:
    + CGI and Apache modules are building simultaneusly
    + Configuration path for Apache module compiled in as /etc/httpd/conf/php.ini
    + Configuration path for CGI executable set to /etc/php.ini
    + Second live granted to the common library libphp_common.so
- Updated:
    + tests directory added as documentation to php-common
    + PEAR documentation and Experimental modules packaged as docs for php-common

* Fri Mar 09 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.200103082345mdk
- Rebuild with --enable-versioning

* Thu Mar 08 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.200103072345mdk
- Spec file rewritten, shared modules extracted to their own nosrc.rpms for
  better manageability
- Get rid of shared library to be consistent in flags for external build
- PEAR extracted to its own package 'php-common'

* Fri Feb 25 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.200102241145mdk
- Prepared for PHP 4.0.5 RC1
- Build phase rewritten to allow build dynamic modules using internal PHP4 facilities
- Set of dynamically built modules extended

* Fri Feb 09 2001 Alexander Bokovoy <ab@avilink.net> 4.0.4pl1-ipl7mdk
- Circular obsoletes fixed
- Magic quotes disabled by default

* Fri Feb 08 2001 Alexander Bokovoy <ab@avilink.net> 4.0.4pl1-ipl6mdk
- Rebuild against new RA

* Fri Feb 02 2001 Alexander Bokovoy <ab@avilink.net> 4.0.4pl1-ipl5mdk
- Eliminate beings like AESCtl while apachectl in our environment exactly
  the same thing

* Fri Feb 02 2001 Alexander Bokovoy <ab@avilink.net> 4.0.4pl1-ipl4mdk
- rebuild against final MySQL 3.23.32 with DB 3.2.9
- rebuild against Apache 1.3.17rusPL.30

* Mon Jan 22 2001 Vincent Danen <vdanen@mandrakesoft.com> 4.0.4pl1-3mdk
- fix upgrade scripts

* Sun Jan 21 2001 Vincent Danen <vdanen@mandrakesoft.com> 4.0.4pl1-2mdk
- rebuild against new MySQL for php-mysql

* Thu Jan 18 2001 Vincent Danen <vdanen@mandrakesoft.com> 4.0.4pl1-1mdk
- 4.0.4pl1; security fixes for PHP directive problems

* Thu Dec 21 2000 Vincent Danen <vdanen@mandrakesoft.com> 4.0.4-1mdk
- 4.0.4

* Tue Dec 12 2000 Vincent Saugey <vince@mandrakesoft.com> 4.0.3pl1-3mdk
- declare top_srcdir at build step

* Sat Nov 11 2000 Daouda Lo <daouda@mandrakesoft.com> 4.0.3pl1-2mdk
- correct php-pgsql preuninstall typo (thanx Florent Guillaume)

* Sun Oct 22 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.3pl1-1mdk
- Bugfix + Security release

* Wed Sep 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.2-4mdk
- Fixed requires
- Rebuilt for new Apache
- Removed security patch SRADV00001 because it was causing segfaults with
  POST and multipart/form-data
- Removed CVS junk files in php-manual

* Fri Sep  8 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.2-3mdk
- Added security patch from Vincent Danen for (SRADV00001) Arbitrary file
  disclosure through PHP file upload
- Patched aclocal.m4 and acinclude.m4... Looks like every release they
  break something!
- imap was also broken. Added -lpam to the flags.
- compiled php with -lpthread to fix damn segfaults
- new MySQL release: compile with lmysqlclient_r
- removed conflict with midgard (i heard that both can coexist now)
- mysql: Tested phpMyAdmin - success! Tested also standalone with
  code from: php-manual/function.mysql-pconnect.html
- gd: Tested generation of png graphics with truetype, both in standalone
  and apache module
- pgsql: tested with standalone binary and the example code contained in
  php-manual/ref.pgsql.html. After a "createuser apache" in postgres, also
  tested successfully the apache mode
- imap: tested imap_open and imap_close on port 110 with standalone
  and in apache module
- ldap: tested functions in php-manual/function.ldap-add.html
  with standalone and apache module
- split dba_gdbm_db2 and readline from the main package. The first, because we
  might support db3 eventually, and the lase because it required 3
  additional libraries, and was only for the standalone version.
- tested dba_gdbm_db2 with standalone and apache module with sample code from
  php-manual/ref.dba.html
- tested readline with standalone (it is interactive so it won't work with
  apache) with code from php-manual/ref.readline.html
- we now use a libphp4_shared: this saves space and permits to use
  any module with any server API
- put the SAPI files into the php-devel package so we can compile eventually
  thttpd, roxen, or the servlet API
- put php_standalone into the main php package to be able to use the new
  PEAR interface (like CPAN, but for PHP4)
- renamed all modules. They are now called php-something instead of
  mod_php-something. The reason is they can be used with either php-thttpd,
  php-standalone, php-servlet or under apache (where this module is still
  called mod_php, to be consistent with mod_perl, mod_jserv, etc..).

* Fri Sep  1 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.2-2mdk
- Heavy use of perl s///g to make it install at the right place

* Thu Aug 31 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.2-1mdk
- shiny new 4.0.2!!
- removed db3 support: it crashes the configure script, and besides, it's
  not in the distro (only in contribs). We use GDBM and DB2.

* Thu Aug 24 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.1pl2-6mdk
- created extensions package
- fixed mysql support

* Wed Aug  9 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.1pl2-5mdk
- link mysql.so with libmysqlclient.so

* Wed Aug  9 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.1pl2-4mdk
- Compile with latest MySQL
- Changed paths for FHS
- Macroize
- Fixed the BuildRequires (please, don't auto-regenerate)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1pl2-3mdk
- automatically added BuildRequires

* Fri Jul 14 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.1pl2-2mdk
- added recode
- rebuilt for new EAPI
- use new AESctl script for %post
- Bonnne Fete la France! =)

* Sat Jul 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.1pl2-1mdk
- update to 4.0.1pl2 (lots of bug fixes)
- moved php binary to php-standalone package
- fixed module compilation (specially the again badly broken pgsql)

* Tue Jun 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.0-1mdk
- update to PHP 4.0.0
- compile in two pass so that the extensions work both with PHP and mod_php
- include development package. This will enable us to compile dynamic
  extensions outside the main PHP4 package. This will come handy for
  the Oracle, Sybase, swf, etc. modules.
- spent long nights figuring how to make GD+ttf+t1lib with PHP4
- many fixes to remain RH-compatible a bit, but to keep our improvements,
  and have a working config (RH handles extensions poorly and makes php
  require postgres, ldap and imap even if the use won't use it).
- change most of the Requires to Prereqs, because the post edits config files
- change most of the postuns to preuns in case php gets removed before subpkgs
- make subpackages require php = %version
- add Obsoletes: phpfi, because their content handler names are the same
- add standalone binary
- change license from "GPL" to "PHP"

* Wed Jun 14 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0.16-6mdk
- last version, PHP4 is on the way (hurray! ;-)
- added -llber to the ldap package
- split gd library out of the main package so it doesn't require
  XFree-libs!
- removed Dadou's hack for i486 compilation. When cross-compiling,
  first build Apache, then install apache and apache-devel before
  you compile other apache modules. It will then compile for the
  same architecture that apache has been compiled with.

* Thu May 18 2000 David BAUDENS <baudens@mandrakesoft.com> 3.0.16-5mdk
- Better fix for i486

* Mon May 15 2000 David BAUDENS <baudens@mandrakesoft.com> 3.0.16-4mdk
- Fix build for i486
- Fix some typos
- Fix build as user

* Mon May 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0.16-3mdk
- added Prereq so it doesn't complain about missing php3.ini
- rebuild with EAPI 2.6.4 (bugfixes)
- include /usr/bin/*
- removed old manual from sources

* Thu Apr  6 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0.16-2mdk
- rebuit with EAPI 2.6.3
- moved doc
- added -DHAVE_PQCMDTUPLES
- put ldap in separate module

* Thu Apr  6 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0.16-1mdk
- 3.0.16 bugfix release

* Mon Apr  3 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0.15-4mdk
- fixed group
- created MySQL as a separate module to fix dependancies

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 3.0.15-3mdk
- rebuild for EAPI 2.6.1
- updated manual

* Mon Feb 27 2000 Jean-Michel Dault <jmdault@netrevolution.com> 3.0.15-2mdk
- re-made gd+ttf patch. (again)

* Mon Feb 27 2000 Jean-Michel Dault <jmdault@netrevolution.com> 3.0.15-1mdk
- added many BuildRequires (this is a very complex package!)
- upgraded to 3.0.15 (security updates)
- updated mysql client to 3.22.32
- added patch suggested by jeff b <jeff@univrel.pr.uconn.edu> to
  decrease the TOKEN_BITS from 20 to 18. This allows large applications
  written in PHP to not bomb out due to running out of tokens.

* Tue Jan 18 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- upgraded to 3.0.14
- updated mysql client to 3.22.30
- added support for ftp

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Mon Jan 3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- upgraded to 3.0.13
- fixed png support
- fixed reversed ttf fonts
- fixed imap and pgsql for good, made apache restart when installing these
  packages
- updated mysql client to 3.22.29

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for Oxygen and new mm-1.0.12 in Apache
- added ttf and t1lib, which are now part of Mandrake
- added gd support (png only, to enable gifs, you have to rebuild the rpm
  with the old library)

* Fri Sep 3 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for new mm-1.0.10 in Apache

* Thu Aug 26 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- added Conflicts line

* Fri Aug 19 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- Solaris adaptations

* Wed Aug 18 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- modified post scripts

* Sat Jul 31 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- upgraded to 3.0.12

* Wed Jul 21 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- upgraded to 3.0.11
- added RPM_OPT_FLAGS
- added fr locale
- "mandrakized" package again

* Mon Jun 14 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.9
- fixed postgresql module and made separate package
- separated manual into separate documentation package

* Mon May 24 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.8, which fixes problems with glibc 2.1.
- took some ideas grom Gomez's RPM.

* Tue May 04 1999 Preston Brown <pbrown@redhat.com>
- hacked in imap support in an ugly way until imap gets an official
  shared library implementation

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- pick up php3.ini

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- build against apache 1.3.6

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.7.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgrade to php 3.0.6, built against apache 1.3.4

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- rebuild for apache 1.3.3

* Thu Oct 08 1998 Preston Brown <pbrown@redhat.com>
- updated to 3.0.5, fixes nasty bugs in 3.0.4.

* Sun Sep 27 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.0.4 and recompiled for apache 1.3.2

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- improvements; builds with apache-devel package installed.

* Tue Sep 01 1998 Preston Brown <pbrown@redhat.com>
- Made initial cut for PHP3.

